Summary: Gathers system hardware and configuration information.
Name: sysreport
Version: 1.3.15
Release: 6.XOS.1
%define release_rhel 6
URL: http://www.redhat.com/support
Group: Development/Debuggers
Source0: %{name}-%{version}-%{release_rhel}.tar.bz2
License: GPL
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: bash gawk grep sed mktemp bzip2 tar

%description
Sysreport is a utility that gathers information about a system's
hardware and configuration. The information can then be used for
diagnostic purposes and debugging. Sysreport is commonly used to help
support technicians and developers by providing a "snapshot" of a
system's current layout.

%prep
%setup -q -n %{name}-%{version}-%{release_rhel}

%build

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README RFC Changelog
%dir /usr/share/sysreport
%attr(0744,root,root) /usr/sbin/sysreport
%attr(0744,root,root) /usr/share/sysreport/sysreport-fdisk
%attr(0744,root,root) /usr/share/sysreport/functions
%attr(0644,root,root) /usr/share/sysreport/text.xsl

%changelog
* Thu May 25 2006 X/OS Linux Team <xoslinux@xos.nl> 1.3.15-6.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on sysreport-1.3.15-6.src.rpm
  (md5sum of original source rpm: 96dd483df7743b4794d6b5c2ebe6aad6).
- Define and use release_rhel macro to refer to original RHEL release number.

* Mon Apr 10 2006 Than Ngo <than@redhat.com> 1.3.15-6
- collect cluster config file #176431
- collect iptables filter mangle #181299
- collect 'ipcs' (Shared memory Segments info) #181681

* Mon Aug 01 2005 Than Ngo <than@redhat.com> 1.3.15-5
- create tar file in TEMPDIR

* Wed Jul 27 2005 Than Ngo <than@redhat.com> 1.3.15-4
- check the input stream

* Tue Jul 12 2005 Than Ngo <than@redhat.com> 1.3.15-3
- security fix #162978, CAN-2005-2104

* Tue Jun 07 2005 Than Ngo <than@redhat.com> 1.3.15-2
- don't include sensitive data #159502

* Mon May 09 2005 Than Ngo <than@redhat.com> 1.3.15-1
- collect /etc/stinit.def, #154996
- additional info for Xorg/XFree86, #156305
- add -S sparse files, #150584, #156858
- don't overwrite output files, #154329
- collect /etc/ld.so.conf.d, #154328
- gather bind stats correctly #143632
- fix output problem #154120

* Fri Feb 25 2005 Than Ngo <than@redhat.com> 1.3.14-1
- Fix typo in collection of iptables #142992
- Add fix to always call hardware.py #144999
- Add the collection of /etc/nsswitch.conf bug #136717
- Add chkconfig type information to sysreport bug #136699
- Add the collection of information about a samba server config #136575
- Add the collection of LDAP client and server configuration information #136719
- Add the collection of /proc/slabinfo #139558
- Add the collection of syslog configuration
- Add the collection of ntp configuration
- Add the collection of mdadm.conf #136722
- Add the collection of lsof output
- Add the collection of postfix configuration files
- Add the collection of squid configuration files
- Add the collection of automount configuration files
- Add the collection of NFS export file
- Add the collection of yp configuration files
- Add the collection of kerberos configuration files
- Add the collection of CUPS configuration files
- Add the collection of apache configuration files
- Add the collection of /var/log/secure
- Add the collection of modinfo for all loaded modules
- Add the collection of satellite-debug and rhn-proxy-debug
- Add the collection of /etc/modprobe.conf #149651

* Mon Sep 13 2004 Than Ngo <than@redhat.com> 1.3.13-1
- add support dkms #122194
- get rid of dmidecode

* Tue Aug 17 2004 Than Ngo <than@redhat.com> 1.3.12-3
- add architecture into installed-rpms
- add gathering on LVM information

* Tue Aug 03 2004 Than Ngo <than@redhat.com> 1.3.12-2
- add gathering on samba informations/open file information

* Tue Jul 20 2004 Than Ngo <than@redhat.com> 1.3.12-1
- vsftpd configuration

* Tue Jul 13 2004 Than Ngo <than@redhat.com> 1.3.11-1
- add more SELinux information

* Mon Jul 12 2004 Than Ngo <than@redhat.com> 1.3.10-1
- add gathering information on SELinux setup

* Sun Feb 15 2004 Than Ngo <than@redhat.com> 1.3.9-1
- search for "grub" info for boot only on x86, #115325

* Wed Feb 11 2004 Than Ngo <than@redhat.com> 1.3.8-1
- 1.3.8

* Wed Feb 11 2004 Than Ngo <than@redhat.com> 1.3.7.1-1
- sysreport hangs with dmidecode, #115362

* Mon Sep 08 2003 Than Ngo <than@redhat.com> 1.3.7-1
- modify sysreport to include information on cluster setup
  for AS2.1/Taroon

* Fri Aug 29 2003 Than Ngo <than@redhat.com> 1.3.6-1
- fixed #99352

* Thu Jul 31 2003 Than Ngo <than@redhat.com> 1.3.5-1
- add some enhancements from Mike Gahagan
- modify sysreport tool to include information ISDN cards

* Tue Jul 15 2003 Than Ngo <than@redhat.com> 1.3.4-1
- modify systeport tool to include information on RHN entitlement #89721
  thanks to Tim Waugh for stylesheet file

* Mon May 26 2003 Than Ngo <than@redhat.com> 1.3.3-2
- fix changelog 

* Mon May 26 2003 Than Ngo <than@redhat.com> 1.3.3-1.1
- fix pattern matching issue (bug #91617)

* Thu Mar 27 2003 Than Ngo <than@redhat.com> 1.3.2-1
- add support dmidecode, #78386

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 12 2002 Than Ngo <than@redhat.com>
- Fixed sysreport to look sendmail config file in correct place bug #77541
- release 1.3.1

* Sun Aug  4 2002 Than Ngo <than@redhat.com> 1.3-5
- fixed some typo bugs (bug #70679)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Apr 12 2002 Than Ngo <than@redhat.com> 1.3-2
- fix a bug in getpartinfo (bug #63109)

* Tue Mar 19 2002 Preston Brown <pbrown@redhat.com> 1.3-1
- incorporate more additions and fixes from Mike Gahagan

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- don't look for /etc/inetd.d directory, fix cp warnings (#9469, #25507)

* Wed Nov 08 2000 "Wil Harris" <wil@redhat.com>
- changed the cp of /proc/bus to do lspci -vn to keep from locking up machines
- added some fixes for old and new bind (named.boot vs named.conf)

* Mon Oct 23 2000 "Wil Harris" <wil@redhat.com>
- Bumped version up to 1.1

* Wed Oct 4 2000 "Wil Harris" <wil@redhat.com>
- Fixed sysreport to handle both the new xinetd and old inetd files
- Added a little better file checking to remove some of the failed
- Added a sanity check for boot loader
- Added checking for modules.conf and conf.modules

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- bump release to 3.2.

* Wed Dec 1 1999 "Wil Harris" <wil@redhat.com>
- Fixed a problem with the fdisk work around

* Mon Nov 22 1999 "Wil Harris" <wil@redhat.com>
- Fixed fdisk options
- Added function for Dac960 and Compaq smart Array Raid controllers with help
  from "Adrian Likins" <alikins@redhat.com>
- Added option to check for milo.conf
- Fixed the mail to address
- Fixed a typo

* Fri Sep 10 1999 "Wil Harris" <wil@redhat.com>"
- Fixed a typo and added a blank line to seperate the information so that it 
  can be read easier.

* Fri Sep 10 1999 "Wil Harris" <wil@redhat.com>"
- Arranged information gathering to be in a more logical order.
- Put yet MORE verbosity into script by explaining the steps as they are going through.
- Fixed the mailto to be a little more understandable.

* Fri Sep 10 1999 "Peter Jones" <pjones@redhat.com>
- Added even more verbosity
- Fixed OK/Failed to be real
- Added filename defaults
- Added "ENTER to continue..." stuff
- Fixed mailto address at end

* Fri Sep 10 1999 "Peter Jones" <pjones@redhat.com>
- Added even more verbosity
- ipchains stuff.
- changed permissions to 0744 to keep Adrian's paranoia at bay.

* Fri Sep 10 1999 "Wil Harris" <wil@redhat.com>"
- Added init style notifications of the current progress of sysreport.

* Thu Sep 9 1999 "Peter Jones" <pjones@redhat.com>
- Change for named information.
- Preserve tree structure
- Removed lspci in favor of duplicating /proc/bus
- gzip -9.  If size restrictions become a problem, switch to bzip2?
- Added rpm -Va > rpm-verify
- Fix umask

* Thu Sep 9 1999 "Wil Harris" <wil@redhat.com>
- Change the /proc/scsi/scsi to /proc/scsi to get further scsi information.

* Wed Sep 8 1999 "Wil Harris" <wil@redhat.com>
- Relocated functions needed by suppinfo to /usr/share/support.

* Wed Sep 8 1999 "Wil Harris" <wil@redhat.com>
- Fixed a typo in the README and RFC. Changed the package name.

* Wed Sep 8 1999 "Wil Harris" <wil@redhat.com>
- Rewrote support with enormous help from Peter Jones <pjones@redhat.com>.

* Wed Aug 25 1999 "Wil Harris" <wil@redhat.com> 
- First RPM release of scripts made.

